package com.persagy.dmp.rwd.version.service;

import com.persagy.dmp.rwd.version.entity.VersionDefine;

/**
 * 版本定义接口
 * @author Charlie Yu
 * @date 2021-06-23
 */
public interface IVersionDefineService {

    /**
     * 创建版本
     * @param vo
     * @return
     */
    VersionDefine insertVersion(VersionDefine vo);

    /**
     * 修改版本
     * @param vo
     * @return
     */
    VersionDefine updateVersion(VersionDefine vo);

    /**
     * 删除版本
     * @param id
     */
    void deleteVersion(String id);
}